# Weapon

**Properties**

| Property                                                                        | Type     | Description                                                                                        |
| ------------------------------------------------------------------------------- | -------- | -------------------------------------------------------------------------------------------------- |
| `Damage`                                                                        | `float`  | The damage of the ammo.                                                                            |
| `MaxBarrelAmmo`                                                                 | `int`    | The maximum number of ammunitions in the barrel.                                                   |
| `MaxAmmo`                                                                       | `int`    | The maximum number of ammunitions.                                                                 |
| `MaxMagazineAmmo`                                                               | `int`    | <p>The maximum number of ammunitions in the magazine.<br><br>Note: The max value of this is 16</p> |
| `AmmoDrain`                                                                     | `int`    | The amount of ammunition drained per shot.                                                         |
| `Penetration`                                                                   | `float`  | The penetration of the firearm.                                                                    |
| `Inaccuracy`                                                                    | `float`  | The inaccuracy of the firearm.                                                                     |
| `AimingInaccuracy`                                                              | `float`  | The inaccuracy of the firearm while aiming.                                                        |
| `DamageFalloffDistance`                                                         | `float`  | How quickly the damage drops over distance.                                                        |
| [`Attachments`](/uncomplicatedcustomitems/api/enums/external/attachmentname.md) | `string` | The weapon attachments.                                                                            |
| `EnableFriendlyFire`                                                            | `bool`   | Whether the item can damage teammates.                                                             |
|                                                                                 |          |                                                                                                    |

**Example:**

```yaml
CustomItemType: Weapon
CustomData:
  damage: 25.0
  max_barrel_ammo: 1
  max_ammo: 100
  max_magazine_ammo: 20
  ammo_drain: 1
  penetration: 1.5
  inaccuracy: 0.2
  aiming_inaccuracy: 0.05
  damage_falloff_distance: 50.0
  attachments: "Scope, Silencer"
  enable_friendly_fire: true
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uci.ucserver.it/uncomplicatedcustomitems/api/custom-data/weapon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
